%global _python_bytecompile_extra 0

Name:           rpmlint
Version:        2.4.0
Release:        1
Summary:        Check the RPM package of tools for common errors
License:        GPL-2.0-or-later
URL:            https://github.com/rpm-software-management/rpmlint
Source0:        https://github.com/rpm-software-management/rpmlint/archive/rpmlint-%{version}.tar.gz

Patch0:         https://github.com/rpm-software-management/rpmlint/commit/393cde4e.patch#/0001-fix-broken-regex-for-no-manual-page-for-binary-check.patch
Patch1:         https://github.com/rpm-software-management/rpmlint/commit/7d707f7f.patch#/0001-TagsCheck-handle-license-exception-in-grouping.patch
Patch2:         https://github.com/rpm-software-management/rpmlint/commit/48aa148b.patch#/0001-TagsCheck-restore-space-exclusion-to-license_excepti.patch
Patch3:         https://github.com/rpm-software-management/rpmlint/commit/65abdbd3.patch#/0002-TagsCheck-handle-license-exception-in-first-item-of-.patch

BuildArch:      noarch

BuildRequires:  python3-devel rpm-python3 >= 4.4.2.2 python3-pytest sed >= 3.95 git
Requires:       python3 rpm-python3 >= 4.4.2.2
Requires:       perl-interpreter cpio binutils desktop-file-utils gzip bzip2 xz %{_bindir}/groff

%description
Rpmlint is to check the RPM package of tools for common errors.  You can
check Binary and source packages as well as spec files.

%package help
Summary:        Help document for the rpmlint package

%description help
Help document for the rpmlint package.

%prep
%autosetup -p1 -Sgit

sed -i 's/python-magic/file-magic/g' setup.py

sed -i -e 's/ --cov=rpmlint//' -e 's/ --flake8//' setup.cfg

sed -i '/^@pytest.mark.no_cover/d' test/test_lint.py

%build
%py3_build

%install
%py3_install


%files
%doc README.md COPYING
%{_bindir}/{rpmdiff,rpmlint}
%{python3_sitelib}/rpmlint*

%files help


%changelog
* Sun Jun 25 2023 liyanan <thistleslyn@163.com> - 2.4.0-1
- Update to 2.4.0

* Wed Nov  4 2020 Guoshuai Sun <sunguoshuai@huawei.com> - 1.10-19
- Ugly workaroud for RPM 4.14 vs 4.15 python3 bindings incompatibility

* Tue Feb 18 2020 wanjiankang <wanjiankang@huawei.com> - 1.10-18
- Package init
